MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025684Community[OCCT] OCCT:Codingpublic2015-01-06 06:162015-05-14 16:28
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025684: Extend TCollection_ExtendedString with method IsEmpty()
DescriptionTCollection_AsciiString has method IsEmpty but TCollection_ExtendedString without this method. IsEmpty seems more efficient then (Length()==0) method.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0039548)
git (administrator)
2015-04-10 09:48

Branch CR25684 has been created by kgv.

SHA-1: 5e93c57bbc01ac9b0301139c6c3547d8b92d055c


Detailed log of new commits:

Author: kgv
Date: Fri Apr 10 09:48:30 2015 +0300

    0025684: Extend TCollection_ExtendedString with method IsEmpty()
(0039549)
kgv (developer)
2015-04-10 09:49
edited on: 2015-04-10 09:51

>> IsEmpty seems more efficient then (Length()==0) method.
Since Length() uses cached value, there is no difference between these two methods, besides the style.

(0039550)
kgv (developer)
2015-04-10 09:50

Please check patch compilation, regression testing is not needed.
(0039637)
git (administrator)
2015-04-13 15:00

Branch CR25684 has been updated forcibly by mkv.

SHA-1: 468293f6b3ca357511e71ccbdd15f31ced7d9136
(0039714)
mkv (tester)
2015-04-14 18:45

Dear BugMaster,
Branch CR25684 was rebased on current master of occt git-repository.
(0039715)
mkv (tester)
2015-04-14 18:45

Dear BugMaster,
Branch CR25684 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 468293f6b3ca357511e71ccbdd15f31ced7d9136

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 4 (4 on master)
Windows: 0 (0 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 94002807 / 94264006 [-0.28%]
Total CPU difference: 55672.3199999998 / 56192.569999999694 [-0.93%]
products component :
Total MEMORY difference: 23662640 / 23711227 [-0.20%]
Total CPU difference: 17944.63999999998 / 19064.96999999996 [-5.88%]

Testing on Windows:
occt component :
Total MEMORY difference: 57126745 / 57127513 [-0.00%]
Total CPU difference: 16043.922844999286 / 15976.561613198899 [+0.42%]
products component :
Total MEMORY difference: 15476993 / 15478724 [-0.01%]
Total CPU difference: 6337.899427299983 / 6217.388654799964 [+1.94%]

There are no differences in images found by testdiff.
(0040984)
git (administrator)
2015-05-14 16:28

Branch CR25684 has been deleted by inv.

SHA-1: 468293f6b3ca357511e71ccbdd15f31ced7d9136

- Related Changesets
occt: master a21ab2c1
Timestamp: 2015-04-10 06:48:30
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025684: Extend TCollection_ExtendedString with method IsEmpty()
mod - src/TCollection/TCollection_ExtendedString.cdl Diff ] File ]
mod - src/TCollection/TCollection_ExtendedString.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-06 06:16 Vico Liang New Issue
2015-01-06 06:16 Vico Liang Assigned To => szy
2015-04-10 09:43 kgv Assigned To szy => kgv
2015-04-10 09:43 kgv Severity minor => trivial
2015-04-10 09:43 kgv Status new => assigned
2015-04-10 09:43 kgv Category OCCT:Application Framework => OCCT:Coding
2015-04-10 09:43 kgv Summary TCollection_ExtendedString missing method IsEmpty. => Extend TCollection_ExtendedString with method IsEmpty()
2015-04-10 09:48 git Note Added: 0039548
2015-04-10 09:49 kgv Note Added: 0039549
2015-04-10 09:50 kgv Note Added: 0039550
2015-04-10 09:50 kgv Assigned To kgv => bugmaster
2015-04-10 09:50 kgv Status assigned => resolved
2015-04-10 09:50 kgv Steps to Reproduce Updated View Revisions
2015-04-10 09:51 kgv Note Edited: 0039549 View Revisions
2015-04-13 14:33 abv Status resolved => reviewed
2015-04-13 14:39 mkv Assigned To bugmaster => mkv
2015-04-13 15:00 git Note Added: 0039637
2015-04-14 18:45 mkv Note Added: 0039714
2015-04-14 18:45 mkv Note Added: 0039715
2015-04-14 18:45 mkv Assigned To mkv => bugmaster
2015-04-14 18:45 mkv Status reviewed => tested
2015-04-14 18:45 mkv Test case number => Not needed
2015-04-17 15:40 bugmaster Changeset attached => occt master a21ab2c1
2015-04-17 15:40 bugmaster Status tested => verified
2015-04-17 15:40 bugmaster Resolution open => fixed
2015-05-14 15:28 user533 Status verified => closed
2015-05-14 15:31 user533 Fixed in Version => 6.9.0
2015-05-14 16:28 git Note Added: 0040984


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker